Skip to main content
GET
List Developer traces

Authorizations

Authorization
string
header
required

Account Service Key, prefixed with pho_ask_, sent as Authorization: Bearer <key>. Acts on behalf of its owning account, subject to the permissions and credential restrictions of each operation. Account access tokens and OAuth grants also use the Bearer header. In organizations that require SSO, Account Service Keys are not accepted for managing the organization's SSO settings, deleting the organization, or checking whether it can be deleted.

Path Parameters

projectId
string
required

Query Parameters

from
string<date-time>
required

RFC 3339 timestamp with at most three fractional digits (millisecond precision).

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
to
string<date-time>
required

RFC 3339 timestamp with at most three fractional digits (millisecond precision).

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
requestId
string
Required string length: 1 - 128
apiKeyId
string
Required string length: 1 - 128
route
string
Required string length: 1 - 512
httpMethod
string
Pattern: ^[A-Z]{1,32}$
httpStatusCode
integer
Required range: 100 <= x <= 599
httpStatusClass
enum<string>
Available options:
1xx,
2xx,
3xx,
4xx,
5xx
status
enum<string>
Available options:
Ok,
Error,
Unset
type
enum<string>
Available options:
request,
delivery
minimumDurationMs
integer
Required range: 0 <= x <= 18446744073709
limit
integer
Required range: 1 <= x <= 100
offset
integer
Required range: 0 <= x <= 1000000

Response

A bounded page of Developer trace summaries.

traces
object[]
required